package com.codesenior.gridlayoutexample;


import android.content.Context;
import android.os.Bundle;
import android.support.annotation.Nullable;
import android.support.design.widget.TextInputLayout;
import android.support.v4.app.Fragment;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.Toast;

/**
 * LoginFragment
 */
public class LoginFragment extends Fragment {
    private static final String LOGIN_FRAGMENT_TAG = "LOGIN_FRAGMENT_TAG";

    @Override
    public void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        Log.i(LOGIN_FRAGMENT_TAG, "onCreate()");
    }

    @Override
    public void onAttach(Context context) {
        super.onAttach(context);
        Log.i(LOGIN_FRAGMENT_TAG, "onAttach()");
    }

    @Nullable
    @Override
    public View onCreateView(LayoutInflater inflater, @Nullable ViewGroup container, @Nullable Bundle savedInstanceState) {
        Log.i(LOGIN_FRAGMENT_TAG, "onCreateView()");
        final View fragmentView = inflater.inflate(R.layout.fragment_login, container, false);
        Button btnLogin = (Button) fragmentView.findViewById(R.id.btnLogin);
        btnLogin.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                TextInputLayout inputLayout = (TextInputLayout) fragmentView.findViewById(R.id.txtPassword);
                String password = inputLayout.getEditText().getText().toString();
                Toast.makeText(fragmentView.getContext(), password, Toast.LENGTH_LONG).show();
            }
        });
        return fragmentView;
    }

    @Override
    public void onActivityCreated(@Nullable Bundle savedInstanceState) {
        super.onActivityCreated(savedInstanceState);
        Log.i(LOGIN_FRAGMENT_TAG, "onActivityCreated()");
    }

    @Override
    public void onStart() {
        super.onStart();
        Log.i(LOGIN_FRAGMENT_TAG, "onStart()");
    }

    @Override
    public void onResume() {
        super.onResume();
        Log.i(LOGIN_FRAGMENT_TAG, "onResume()");
    }

    @Override
    public void onSaveInstanceState(Bundle outState) {
        super.onSaveInstanceState(outState);
        Log.i(LOGIN_FRAGMENT_TAG, "onSaveInstanceState()");
    }


    @Override
    public void onPause() {
        super.onPause();
        Log.i(LOGIN_FRAGMENT_TAG, "onPause()");
    }

    @Override
    public void onStop() {
        super.onStop();
        Log.i(LOGIN_FRAGMENT_TAG, "onStop()");
    }

    @Override
    public void onDestroyView() {
        super.onDestroyView();
        Log.i(LOGIN_FRAGMENT_TAG, "onDestroyView()");
    }

    @Override
    public void onDestroy() {
        super.onDestroy();
        Log.i(LOGIN_FRAGMENT_TAG, "onDestroy()");
    }

    @Override
    public void onDetach() {
        super.onDetach();
        Log.i(LOGIN_FRAGMENT_TAG, "onDetach()");
    }
}
